import { world } from '@minecraft/server';
import { setScore } from '../../scoreboard/scoreboard';
import { ConfigScoreboardsObjectives, ConfigScoreboardsParticipants, mapStarted } from '../../config/scoreboards';
world.afterEvents.entityDie.subscribe((event) => {
    if (!mapStarted())
        return;
    const excludeEntities = ['aa:barrel_tnt', 'aa:lucky_parachute'];
    if (excludeEntities.includes(event.deadEntity.typeId))
        return;
    setScore({
        objectiveId: ConfigScoreboardsObjectives.Config,
        participant: {
            name: ConfigScoreboardsParticipants.Timer,
            value: 10
        }
    });
});
