import { system } from '@minecraft/server';
import { changeDifficultily } from './changeDifficultily';
import { mapSituation } from './mapSituation';
import { changeArena } from './changeArena';
system.afterEvents.scriptEventReceive.subscribe((event) => {
    const { id, message } = event;
    if (id === 'aa:change_difficulty')
        changeDifficultily();
    if (id === 'aa:map_situation')
        mapSituation(message);
    if (id === 'aa:change_map')
        changeArena();
});
